<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Bankverbindungen;

use Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\Bankverbindungen\HandleAktualisiereStammBv\HandleAktualisiereStammBvUseCase as AktualisiereStammBvUseCase;

class BankverbindungenPresenter extends \Kufer\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Bankverbindungen\BankverbindungenPresenter
{
  protected function getBankverbindungenView($viewModel)
  {
    return new BankverbindungenView($viewModel);
  }

  protected function getView()
  {
    return new BankverbindungenReiterView($this->getViewModel());
  }

  protected function getStatusMsgSuccess($allgSettings)
  {
    if ($this->useCaseResponse->statusMsg === AktualisiereStammBvUseCase::AKTUALISIERUNG_SUCCESSFULL) {
      return $allgSettings->successMsgTeilnehmerNeu;
    }

    return '';
  }

  protected function getStatusMsgInfo($allgSettings)
  {
    return '';
  }

  protected function getStatusMsgFehler($allgSettings)
  {
    if ($this->useCaseResponse->statusMsg === AktualisiereStammBvUseCase::AKTUALISIERUNG_FAILED) {
      return $allgSettings->failSubmitMsgTeilnehmer;
    }

    return '';
  }
}